
ChiliProject - Bug # 1075: Can no longer render unordered lists within ordered lists

Status: Closed Priority: Normal
Author: Colan Schwartz Category: Text formatting
Created: 2012-07-10 Assignee: Felix Schäfer
Updated: 2012-07-13 Due date:
Remote issue URL:
Affected version: 3.2.2
Description: This worked fine in 1.x:

<pre>
# foo
** bar
</pre>

It should display:
<pre>
1. foo
  â€¢ bar
</pre>

...but instead I see:
<pre>
1. foo
  1. bar
</pre>

Here's a test whose results should be visible.  (This isn't in PRE tags.):

# foo
** bar

Associated revisions
2012-07-13 11:27 pm - Holger Just 
Make list style for ul and ol elements more specific. #1075

History
2012-07-10 11:52 pm - Holger Just
- Assignee set to Holger Just

- Target version set to 3.3.0

Okay, this is purely a CSS problem. The HTML is atill rendered correctly as

<pre>
<ol>
  <li>
    foo
    <ul>
      <li>bar</li>
    </ul>
  </li>
</ol>
</pre>

2012-07-11 02:29 pm - Holger Just
- Status changed from Open to Ready for review

- Assignee changed from Holger Just to Felix Schäfer

Pull request at https://github.com/chiliproject/chiliproject/pull/223

2012-07-13 11:30 pm - Felix Schäfer
- Status changed from Ready for review to Closed

Merged in commit:f89c003, thanks for reporting!
